Name | Type | Default |
animationShowDelay
|
Number
|
250
|
Sets or gets the delay of the fade animation when the Radio Button is going to be checked.
<template>
<JqxRadioButton ref="myRadioButton"
:animationShowDelay="500">
Radio Button
</JqxRadioButton>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
}
}
</script>
|
animationHideDelay
|
Number
|
300
|
Sets or gets the delay of the fade animation when the Radio Button is going to be unchecked.
<template>
<div>
<JqxRadioButton ref="myRadioButton"
:animationHideDelay="500">
Radio Button 1
</JqxRadioButton>
<JqxRadioButton ref="myRadioButton"
:animationHideDelay="500">
Radio Button 2
</JqxRadioButton>
</div>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
}
}
</script>
|
boxSize
|
String
|
"13px"
|
Sets or gets the Radio Button's size.
<template>
<JqxRadioButton ref="myRadioButton"
:boxSize="'18px'">
Radio Button
</JqxRadioButton>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
}
}
</script>
|
checked
|
Boolean
|
false
|
Sets or gets whether the radio button is checked.
<template>
<JqxRadioButton ref="myRadioButton"
:checked="true">
Radio Button
</JqxRadioButton>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
}
}
</script>
|
disabled
|
Boolean
|
false
|
Sets or gets whether the Radio Button is disabled.
<template>
<JqxRadioButton ref="myRadioButton"
:disabled="true">
Radio Button
</JqxRadioButton>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
}
}
</script>
|
enableContainerClick
|
Boolean
|
true
|
Sets or gets whether the clicks on the container are handled as clicks on the rounded button.
<template>
<JqxRadioButton ref="myRadioButton"
:enableContainerClick="false">
Radio Button
</JqxRadioButton>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
}
}
</script>
|
groupName
|
String
|
""
|
Sets or gets the group name. When this property is set, checking a radio button from the group, will uncheck only the radio buttons from the same group.
<template>
<div>
<JqxRadioButton ref="myRadioButton" :groupName="'Group1'">Group1 Button</JqxRadioButton>
<JqxRadioButton ref="myRadioButton" :groupName="'Group1'">Group1 Button</JqxRadioButton>
<br />
<JqxRadioButton ref="myRadioButton" :groupName="'Group2'">Group2 Button</JqxRadioButton>
<JqxRadioButton ref="myRadioButton" :groupName="'Group2'">Group2 Button</JqxRadioButton>
</div>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
}
}
</script>
|
hasThreeStates
|
Boolean
|
false
|
Sets or gets whether the radio button has 3 states - checked, unchecked and indeterminate.
<template>
<div>
<JqxRadioButton ref="myRadioButton"
:checked="null" :hasThreeStates="true">
Radio Button
</JqxRadioButton>
<JqxRadioButton ref="myRadioButton"
:checked="null" :hasThreeStates="true">
Radio Button
</JqxRadioButton>
</div>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
}
}
</script>
|
height
|
Number | String
|
null
|
Sets or gets the jqxRadioButton's height.
<template>
<JqxRadioButton ref="myRadioButton"
:height="50">
Radio Button
</JqxRadioButton>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
}
}
</script>
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template>
<JqxRadioButton ref="myRadioButton"
:rtl="true">
Radio Button
</JqxRadioButton>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
}
}
</script>
|
theme
|
String
|
''
|
Sets the widget's theme.
<template>
<JqxRadioButton ref="myRadioButton"
:theme="'material'">
Radio Button
</JqxRadioButton>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
}
}
</script>
|
width
|
Number | String
|
null
|
Sets or gets the jqxRadioButton's width.
<template>
<JqxRadioButton ref="myRadioButton"
:width="150">
Radio Button
</JqxRadioButton>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
}
}
</script>
|
|
checked
|
Event
|
|
This event is triggered when the Radio Button is checked.
Code examples
Bind to the checked event of jqxRadioButton.
<template>
<JqxRadioButton ref="myRadioButton" @checked="onChecked($event)"
>
Radio Button
</JqxRadioButton>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
},
methods: {
onChecked: function (event) {
alert('do something...');
}
}
}
</script>
|
change
|
Event
|
|
This is triggered when the Radio Button's state changes from one state to another.
Code examples
Bind to the change event of jqxRadioButton.
<template>
<JqxRadioButton ref="myRadioButton" @change="onChange($event)"
>
Radio Button
</JqxRadioButton>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
},
methods: {
onChange: function (event) {
alert('do something...');
}
}
}
</script>
|
unchecked
|
Event
|
|
This event is triggered when the Radio Button is unchecked.
Code examples
Bind to the unchecked event of jqxRadioButton.
<template>
<div>
<JqxRadioButton ref="myRadioButton1" @unchecked="onUnchecked($event)">Radio Button 1</JqxRadioButton>
<JqxRadioButton ref="myRadioButton2" @unchecked="onUnchecked($event)">Radio Button 2</JqxRadioButton>
</div>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
},
methods: {
onUnchecked: function (event) {
alert('do something...');
}
}
}
</script>
|
|
Name | Arguments | Return Type |
check
|
None
|
None
|
Checks the radio button.
<template>
<div>
<JqxRadioButton ref="myRadioButton">Radio Button</JqxRadioButton>
<JqxButton @click="check()">Check</JqxButton>
<JqxButton @click="uncheck()">Uncheck</JqxButton>
</div>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
export default {
components: {
JqxRadioButton,
JqxButton
},
methods: {
check: function () {
this.$refs.myRadioButton.check();
},
uncheck: function () {
this.$refs.myRadioButton.uncheck();
}
}
}
</script>
<style>
.jqx-button {
display: inline-block;
margin-top: 15px;
margin-right: 20px;
}
</style>
|
disable
|
None
|
None
|
Disables the radio button.
<template>
<div>
<JqxRadioButton ref="myRadioButton">Radio Button</JqxRadioButton>
<JqxButton @click="enable()">Enable</JqxButton>
<JqxButton @click="disable()">Disable</JqxButton>
</div>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
export default {
components: {
JqxRadioButton,
JqxButton
},
methods: {
enable: function () {
this.$refs.myRadioButton.enable();
},
disable: function () {
this.$refs.myRadioButton.disable();
}
}
}
</script>
<style>
.jqx-button {
display: inline-block;
margin-top: 15px;
margin-right: 20px;
}
</style>
|
destroy
|
None
|
None
|
Destroys the widget.
<template>
<JqxRadioButton ref="myRadioButton"
>
Radio Button
</JqxRadioButton>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
},
mounted: function () {
this.$refs.myRadioButton.destroy();
}
}
</script>
|
enable
|
None
|
None
|
Enables the radio button.
<template>
<div>
<JqxRadioButton ref="myRadioButton">Radio Button</JqxRadioButton>
<JqxButton @click="enable()">Enable</JqxButton>
<JqxButton @click="disable()">Disable</JqxButton>
</div>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
export default {
components: {
JqxRadioButton,
JqxButton
},
methods: {
enable: function () {
this.$refs.myRadioButton.enable();
},
disable: function () {
this.$refs.myRadioButton.disable();
}
}
}
</script>
<style>
.jqx-button {
display: inline-block;
margin-top: 15px;
margin-right: 20px;
}
</style>
|
focus
|
None
|
None
|
Focuses the widget.
<template>
<JqxRadioButton ref="myRadioButton"
>
Radio Button
</JqxRadioButton>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
},
mounted: function () {
this.$refs.myRadioButton.focus();
}
}
</script>
|
render
|
None
|
None
|
Renders the widget.
<template>
<JqxRadioButton ref="myRadioButton"
>
Radio Button
</JqxRadioButton>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
},
mounted: function () {
this.$refs.myRadioButton.render();
}
}
</script>
|
uncheck
|
None
|
None
|
Unchecks the radio button.
<template>
<div>
<JqxRadioButton ref="myRadioButton">Radio Button</JqxRadioButton>
<JqxButton @click="check()">Check</JqxButton>
<JqxButton @click="uncheck()">Uncheck</JqxButton>
</div>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
export default {
components: {
JqxRadioButton,
JqxButton
},
methods: {
check: function () {
this.$refs.myRadioButton.check();
},
uncheck: function () {
this.$refs.myRadioButton.uncheck();
}
}
}
</script>
<style>
.jqx-button {
display: inline-block;
margin-top: 15px;
margin-right: 20px;
}
</style>
|
val
|
value
|
Boolean
|
Sets or gets the value.
<template>
<JqxRadioButton ref="myRadioButton"
>
Radio Button
</JqxRadioButton>
</template>
<script>
import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue';
export default {
components: {
JqxRadioButton
},
mounted: function () {
const value = this.$refs.myRadioButton.val();
}
}
</script>
|

Name | Type | Default |
animationShowDelay
|
Number
|
250
|
Sets or gets the animationShowDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25" [animationShowDelay]="400"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent {
|
animationHideDelay
|
Number
|
300
|
Sets or gets the animationHideDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25" [animationHideDelay]="400"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent {
|
boxSize
|
Size
|
"13px"
|
Sets or gets the boxSize property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25" [boxSize]="'18px'"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent {
|
checked
|
Boolean
|
false
|
Sets or gets the checked property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25" [checked]="true"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25" [disabled]="true"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent {
|
enableContainerClick
|
Boolean
|
true
|
Sets or gets the enableContainerClick property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25" [enableContainerClick]="false"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent {
|
groupName
|
String
|
""
|
Sets or gets the groupName property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25" [groupName]="groupName"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent {
|
hasThreeStates
|
Boolean
|
false
|
Sets or gets the hasThreeStates property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25" [hasThreeStates]="true"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent {
|
height
|
Size
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25" [rtl]="true"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25" [theme]="'artic'"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent {
|
width
|
Size
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent {
|
|
checked
|
Event
|
|
This event is triggered when the Radio Button is checked.
Code examples
Bind to the checked event of jqxRadioButton.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton(onChecked)="Checked($event)" [width]="250" [height]="25"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent { Checked(event: any): void
|
change
|
Event
|
|
This is triggered when the Radio Button's state changes from one state to another.
Code examples
Bind to the change event of jqxRadioButton.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton(onChange)="Change($event)" [width]="250" [height]="25"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent {
|
unchecked
|
Event
|
|
This event is triggered when the Radio Button is unchecked.
Code examples
Bind to the unchecked event of jqxRadioButton.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton(onUnchecked)="Unchecked($event)" [width]="250" [height]="25"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent { Unchecked(event: any): void
|
|
Name | Return Type | Arguments |
check
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRadioButton') myRadioButton: jqxRadioButtonComponent; ngAfterViewInit(): void { this.myRadioButton.check();
|
disable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRadioButton') myRadioButton: jqxRadioButtonComponent; ngAfterViewInit(): void { this.myRadioButton.disable();
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRadioButton') myRadioButton: jqxRadioButtonComponent; ngAfterViewInit(): void { this.myRadioButton.destroy();
|
enable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRadioButton') myRadioButton: jqxRadioButtonComponent; ngAfterViewInit(): void { this.myRadioButton.enable();
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRadioButton') myRadioButton: jqxRadioButtonComponent; ngAfterViewInit(): void { this.myRadioButton.focus();
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRadioButton') myRadioButton: jqxRadioButtonComponent; ngAfterViewInit(): void { this.myRadioButton.render();
|
uncheck
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRadioButton') myRadioButton: jqxRadioButtonComponent; ngAfterViewInit(): void { this.myRadioButton.uncheck();
|
val
|
Boolean
|
value: Boolean
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRadioButton #myRadioButton [width]="250" [height]="25"> <span>6 Months Contract</span> </jqxRadioButton> <jqxRadioButton [width]= "250" [height]="25"> <span>12 Months Contract </span> </jqxRadioButton> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRadioButton') myRadioButton: jqxRadioButtonComponent; ngAfterViewInit(): void { let value = this.myRadioButton.val();
|

Name | Type | Default |
animationShowDelay
|
number
|
250
|
Sets or gets the delay of the fade animation when the Radio Button is going to be checked.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton'; class App extends React.PureComponent<{}, IRadioButtonProps> { private myRadioButton = React.createRef<JqxRadioButton>(); public render() { return ( <JqxRadioButton ref={this.myRadioButton} animationShowDelay={500}> Radio Button </JqxRadioButton> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
animationHideDelay
|
number
|
300
|
Sets or gets the delay of the fade animation when the Radio Button is going to be unchecked.
|
boxSize
|
number | string
|
"13px"
|
Sets or gets the Radio Button's size.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton'; class App extends React.PureComponent<{}, IRadioButtonProps> { private myRadioButton = React.createRef<JqxRadioButton>(); public render() { return ( <JqxRadioButton ref={this.myRadioButton} boxSize={ '18px'}> Radio Button </JqxRadioButton> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
checked
|
boolean
|
false
|
Sets or gets whether the radio button is checked.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton'; class App extends React.PureComponent<{}, IRadioButtonProps> { private myRadioButton = React.createRef<JqxRadioButton>(); public render() { return ( <JqxRadioButton ref={this.myRadioButton} checked={true}> Radio Button </JqxRadioButton> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Sets or gets whether the Radio Button is disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton'; class App extends React.PureComponent<{}, IRadioButtonProps> { private myRadioButton = React.createRef<JqxRadioButton>(); public render() { return ( <JqxRadioButton ref={this.myRadioButton} disabled={true}> Radio Button </JqxRadioButton> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableContainerClick
|
boolean
|
true
|
Sets or gets whether the clicks on the container are handled as clicks on the rounded button.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton'; class App extends React.PureComponent<{}, IRadioButtonProps> { private myRadioButton = React.createRef<JqxRadioButton>(); public render() { return ( <JqxRadioButton ref={this.myRadioButton} enableContainerClick={false}> Radio Button </JqxRadioButton> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
groupName
|
string
|
""
|
Sets or gets the group name. When this property is set, checking a radio button from the group, will uncheck only the radio buttons from the same group.
|
hasThreeStates
|
boolean
|
false
|
Sets or gets whether the radio button has 3 states - checked, unchecked and indeterminate.
|
height
|
string | number
|
null
|
Sets or gets the jqxRadioButton's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton'; class App extends React.PureComponent<{}, IRadioButtonProps> { private myRadioButton = React.createRef<JqxRadioButton>(); public render() { return ( <JqxRadioButton ref={this.myRadioButton} height={50}> Radio Button </JqxRadioButton> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton'; class App extends React.PureComponent<{}, IRadioButtonProps> { private myRadioButton = React.createRef<JqxRadioButton>(); public render() { return ( <JqxRadioButton ref={this.myRadioButton} rtl={true}> Radio Button </JqxRadioButton> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton'; class App extends React.PureComponent<{}, IRadioButtonProps> { private myRadioButton = React.createRef<JqxRadioButton>(); public render() { return ( <JqxRadioButton ref={this.myRadioButton} theme={ 'material'}> Radio Button </JqxRadioButton> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the jqxRadioButton's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton'; class App extends React.PureComponent<{}, IRadioButtonProps> { private myRadioButton = React.createRef<JqxRadioButton>(); public render() { return ( <JqxRadioButton ref={this.myRadioButton} width={150}> Radio Button </JqxRadioButton> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
checked
|
Event
|
|
This event is triggered when the Radio Button is checked.
Code examples
Bind to the checked event of jqxRadioButton.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton'; class App extends React.PureComponent<{}, IRadioButtonProps> { private myRadioButton = React.createRef<JqxRadioButton>(); public render() { return ( <JqxRadioButton ref={this.myRadioButton} onChecked={this.onChecked} > Radio Button </JqxRadioButton> ); } private onChecked(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
change
|
Event
|
|
This is triggered when the Radio Button's state changes from one state to another.
Code examples
Bind to the change event of jqxRadioButton.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton'; class App extends React.PureComponent<{}, IRadioButtonProps> { private myRadioButton = React.createRef<JqxRadioButton>(); public render() { return ( <JqxRadioButton ref={this.myRadioButton} onChange={this.onChange} > Radio Button </JqxRadioButton> ); } private onChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
unchecked
|
Event
|
|
This event is triggered when the Radio Button is unchecked.
Code examples
Bind to the unchecked event of jqxRadioButton.
|
|
Name | Arguments | Return Type |
check
|
None
|
|
|
disable
|
None
|
|
Disables the radio button.
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton'; class App extends React.PureComponent<{}, IRadioButtonProps> { private myRadioButton = React.createRef<JqxRadioButton>(); public componentDidMount(): void { this.myRadioButton.current!.destroy(); } public render() { return ( <JqxRadioButton ref={this.myRadioButton} > Radio Button </JqxRadioButton> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enable
|
None
|
|
Enables the radio button.
|
focus
|
None
|
|
Focuses the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton'; class App extends React.PureComponent<{}, IRadioButtonProps> { private myRadioButton = React.createRef<JqxRadioButton>(); public componentDidMount(): void { this.myRadioButton.current!.focus(); } public render() { return ( <JqxRadioButton ref={this.myRadioButton} > Radio Button </JqxRadioButton> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
Renders the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton'; class App extends React.PureComponent<{}, IRadioButtonProps> { private myRadioButton = React.createRef<JqxRadioButton>(); public componentDidMount(): void { this.myRadioButton.current!.render(); } public render() { return ( <JqxRadioButton ref={this.myRadioButton} > Radio Button </JqxRadioButton> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
uncheck
|
None
|
|
Unchecks the radio button.
|
val
|
value
|
|
Sets or gets the value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton'; class App extends React.PureComponent<{}, IRadioButtonProps> { private myRadioButton = React.createRef<JqxRadioButton>(); public componentDidMount(): void { this.myRadioButton.current!.val(); } public render() { return ( <JqxRadioButton ref={this.myRadioButton} > Radio Button </JqxRadioButton> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|